{% extends "siswa/userbase.html.twig" %}

{% block body %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Pesanan
        {% endblock %}
        {% block menuBar %}
            <nav style="border-bottom: 1px solid var(--grey-d); line-height: 0; top: 50px" class="bg-white w-100">
                <div class="nav bg-white w-100 d-flex" id="nav-tab" role="tablist">
                    <a class="nav-item nav-link active text-center d-block flex-grow-1 tab-s" id="nav-home-tab"
                       data-toggle="tab" href="#pesanan" role="tab" aria-controls="pesanan"
                       aria-selected="true">Pesanan</a>
                    <a class="nav-item nav-link  text-center d-block flex-grow-1 tab-s" id="nav-home-tab"
                       data-toggle="tab" href="#detail" role="tab" aria-controls="detail"
                       aria-selected="true">Detail</a>
                </div>
            </nav>
        {% endblock %}
    {% endembed %}

    {#    Tagihan#}
    <div class="tab-content" id="nav-tabContent">
        <div class="tab-pane fade show active container-fluid" id="pesanan" role="tabpanel"
             aria-labelledby="pesanan">
            <p class="f12 font-weight-bold text-left mt-3">Detail Langganan</p>
            <div class="header-profile mb-0">
                <div class="gambar-div-sm">
                    <img src="{{ cart.getSubscription().getTentorSubject().getUser().getTentorProfile().getGeneratedAvatar() }}">
                </div>
                <div class="content">
                    <p class="f08 text-black-50 mb-0">Nama Pengajar</p>
                    <p class="title">{{ cart.getSubscription().getTentorSubject().getUser().getTentorProfile().getFullName() }}</p>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <p class="text-black-50 f08 mb-0 mt-3">Mata Pelajaran</p>
                    <p class="text-dark f10">{{ cart.getSubscription().getTentorSubject().getCategory().getName() }}
                        - {{ cart.getSubscription().getTentorSubject().getLevel().getName() }}</p>
                </div>
                <div class="col-6">
                    <p class="text-black-50 f08 mb-0">Jumlah Pertemuan</p>
                    <p class="text-dark f10">{{ cart.getEncounter() }} Pertemuan</p>
                </div>
                <div>
                    <p class="text-black-50 f08 mb-0">Durasi Pertemuan</p>
                    <p class="text-dark f10">{{ cart.getDuration }} Menit</p>
                </div>
            </div>
            <hr>
            <p class="f12 font-weight-bold text-left mt-3">Kontak dan Tempat Les</p>

            <div class="p-3 mb-5" style="border-radius: 15px; box-shadow: 0 1px 4px var(--shadowColor1)">
                <p class="f10 font-weight-bold mb-1">{{ cart.getSubscription().getUser().getMemberProfile().getFullName() }}</p>
                <p class="f10 mb-1">{{ cart.getSubscription().getUser().getMemberProfile().getSchool() }}
                    - {{ cart.getSubscription().getUser().getMemberProfile().getClass().getName() }}</p>
                {% if(cart.getMethod().getId() == 1) %}
                    <p class="f10 text-black-50 mb-0">{{ cart.getAddress() }}
                        , {{ cart.getDistrict().getDistrictName() }}
                        , {{ cart.getDistrict().getCity().getCityName() }}</p>
                {% endif %}
                <p>{{ cart.getSubscription().getUser().getMemberProfile().getPhone() }}</p>
            </div>
        </div>
        <div class="tab-pane fade show container-fluid" id="detail" role="tabpanel"
             aria-labelledby="detail">
            <p class="f12 font-weight-bold text-left mt-3 t-primary">#{{ cart.getReferenceId() }}</p>
            <p class="f10 font-weight-bold text-left text-dark">
                Les {{ cart.getMethod().getName() }} {{ cart.getSubscription().getTentorSubject().getCategory().getName() }}
                - {{ cart.getSubscription().getTentorSubject().getLevel().getName() }}</p>
            <div class="d-flex justify-content-between align-items-center">
                <p class="text-black-50 f10 mb-1">Tarif Tiap Pertemuan</p>
                <p class="text-black-50 f10 mb-1">Rp {{ cart.getAmount()|number_format(0,',','.') }}</p>
            </div>
            <div class="d-flex justify-content-between align-items-center">
                <p class="text-black-50 f10">Jumlah Pertemuan</p>
                <p class="text-black-50 f10">{{ cart.getEncounter() }}</p>
            </div>
            <div class="d-flex justify-content-between align-items-center">
                <p class="text-black-50 f10">Jumlah Siswa</p>
                <p class="text-black-50 f10">{{ cart.getAttendees() }}</p>
            </div>
            <hr>
            <div class="d-flex justify-content-between align-items-center">
                <p class="text-black-50 f10">Subtotal</p>
                <p class="text-black-50 f10">Rp {{ cart.getTotal()|number_format(0,',','.') }}</p>
            </div>
            <div class="d-flex justify-content-between align-items-center">
                <p class="text-black-50 f10">Diskon</p>
                <p class="text-dark f10">-Rp {{ cart.getDiscount()|number_format(0,',','.') }}</p>
            </div>
            <hr>
            <div class="d-flex justify-content-between align-items-center mb-5">
                <p class="text-dark f10 font-weight-bold">Total Pembayaran</p>
                <p class="t-primary f10 t-primary">
                    Rp {{ (cart.getTotal()-cart.getDiscount())|number_format(0,',','.') }}</p>
            </div>
        </div>
    </div>
    <section class="container-fluid mt-1" id="pesanan">


    </section>

    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}
{% endblock %}